renderdoc (1.24+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Rebase patches for renderdoc v1.22
  * d/copyright: Remove deleted renderdoc/3rdparty/aosp directory
  * d/patches: Add patch to allow renderdoc to work with glslang 11.12.0
  * d/librenderdoc.lintian-overrides: Update override format

 -- Jordan Justen <jljusten@debian.org>  Wed, 14 Dec 2022 02:16:36 -0800

renderdoc (1.22+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Rebase patches for renderdoc v1.22
  * d/control: Update Standards-Version to 4.6.1.0
  * d/source/lintian-overrides: Override source-is-missing for swig html files

 -- Jordan Justen <jljusten@debian.org>  Mon, 10 Oct 2022 10:26:10 -0700

renderdoc (1.20+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Rebase patches for renderdoc v1.19
  * d/patches: Rebase patches for renderdoc v1.20

 -- Jordan Justen <jljusten@debian.org>  Mon, 30 May 2022 14:47:44 -0700

renderdoc (1.18+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Rebase patches for renderdoc v1.18
  * d/patches: Cherry-pick upstream 387d12db4 for compat with newer glslang

 -- Jordan Justen <jljusten@debian.org>  Mon, 14 Feb 2022 12:02:31 -0800

renderdoc (1.16+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Rebase patches for renderdoc v1.16
  * d/control: Update Standards-Version to 4.6.0.1

 -- Jordan Justen <jljusten@debian.org>  Wed, 20 Oct 2021 12:36:37 -0700

renderdoc (1.15+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Rebase patches for renderdoc v1.15
  * d/rules: Enable hardening build options
  * d/librenderdoc.lintian-overrides: Fix lintian unused-override
  * d/upstream/metadata: Add upstream metadata file
  * d/patches: Fix some misspellings flagged by lintian

 -- Jordan Justen <jljusten@debian.org>  Thu, 26 Aug 2021 00:39:11 -0700

renderdoc (1.14+dfsg-1) experimental; urgency=medium

  * Release new upstream release 1.14 to experimental
  * d/watch: Update path to release pgp files
  * d/patches: Rebase patches for renderdoc v1.14
  * debian: Enable cmake's ninja generator for building

 -- Jordan Justen <jljusten@debian.org>  Sat, 05 Jun 2021 16:59:21 -0700

renderdoc (1.12+dfsg-1) experimental; urgency=medium

  * New upstream release
  * d/patches: Rebase patches onto v1.12

 -- Jordan Justen <jljusten@debian.org>  Sun, 31 Jan 2021 23:39:53 -0800

renderdoc (1.11+dfsg-5) unstable; urgency=medium

  * d/patches: Patch for glslang 11.1.0. (Closes: #980608)
  * d/control: Bump glslang dep version to 11.1.0

 -- Jordan Justen <jljusten@debian.org>  Sun, 31 Jan 2021 17:06:50 -0800

renderdoc (1.11+dfsg-4) unstable; urgency=medium

  * debian: Split packaging to allow gui/cli/python to be installed
    separately. (Closes: #962718)
  * d/control: Remove renderdoccmd python module dependency

 -- Jordan Justen <jljusten@debian.org>  Wed, 23 Dec 2020 16:02:13 -0800

renderdoc (1.11+dfsg-3) experimental; urgency=medium

  * d/control: Add replaces/breaks for old monolithic renderdoc
  * d/control: Add depend on qrenderdoc for renderdoc metapackage
  * d/control: Remove spirv-tools since librenderdoc provides this dep
  * d/control: Update renderdoc metapackage description
  * d/control: Remove qrenderdoc python module dependency

 -- Jordan Justen <jljusten@debian.org>  Wed, 23 Dec 2020 02:28:20 -0800

renderdoc (1.11+dfsg-2) experimental; urgency=medium

  * debian: Add renderdoc.install to prep for package split
  * debian: Split out librenderdoc package
  * debian: Split out librenderdoc-dev package
  * debian: Split out python3-renderdoc package
  * debian: Split out renderdoccmd package
  * debian: Split out qrenderdoc package
  * debian: Split out renderdoc-doc package
  * d/control: Move renderdoc to the metapackages section
  * debian/copyright: Add swig Examples and Lib directories
  * debian/copyright: Add swig CCache directory
  * debian/copyright: Add swig Tools/config/* files

 -- Jordan Justen <jljusten@debian.org>  Mon, 21 Dec 2020 17:23:14 -0800

renderdoc (1.11+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Rebase patches for v1.11
  * d/control: Update Standards-Version to 4.5.1

 -- Jordan Justen <jljusten@debian.org>  Mon, 30 Nov 2020 01:50:08 -0800

renderdoc (1.10+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Remove qrenderdoc/3rdparty/pyside from dfsg source
  * debian/patches: Rebase patches for v1.10

 -- Jordan Justen <jljusten@debian.org>  Fri, 09 Oct 2020 03:00:59 -0700

renderdoc (1.9+dfsg-4) experimental; urgency=medium

  * Reupload to experimental

 -- Jordan Justen <jljusten@debian.org>  Wed, 12 Aug 2020 01:37:22 -0700

renderdoc (1.9+dfsg-3) experimental; urgency=medium

  * debian: Add renderdoc.install to prep for package split
  * debian: Split out librenderdoc package
  * debian: Split out librenderdoc-dev package
  * debian: Split out python3-renderdoc package
  * debian: Split out renderdoccmd package
  * debian: Split out qrenderdoc package
  * debian: Split out renderdoc-doc package
  * d/control: Move renderdoc to the metapackages section

 -- Jordan Justen <jljusten@debian.org>  Tue, 11 Aug 2020 00:13:01 -0700

renderdoc (1.9+dfsg-2) unstable; urgency=medium

  * d/patches: Add patches for arm/arm64 ftbfs. (Closes: #966155)
  * d/patches: Add patch for i386 ftbfs. (Closes: #966155)

 -- Jordan Justen <jljusten@debian.org>  Thu, 30 Jul 2020 17:49:14 -0700

renderdoc (1.9+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Rebase patches for 1.9
  * d/control: Fix lintian depends-on-misc-pre-depends

 -- Jordan Justen <jljusten@debian.org>  Thu, 23 Jul 2020 12:18:15 -0700

renderdoc (1.8+dfsg-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * 0001-use-debian-glslang-for-renderdoc-spirv-driver.patch: Updated to
    fix build fail. (Closes: #962763)

  [ Jordan Justen ]
  * New upstream release
  * d/patches: Rebase patches for 1.8
  * d/control: Update to debhelper 13
  * d/copyright: Rename 3rdparty/android to aosp
  * d/control: Adjust spirv-tools dep for lintian build-depends-on-1-revision
  * d/control: Update email address for Jordan

 -- Jordan Justen <jljusten@debian.org>  Tue, 23 Jun 2020 00:54:48 -0700

renderdoc (1.7+dfsg-3) unstable; urgency=medium

  * control: Bump spirv-tools build-dep. (Closes: #962444)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 12 Jun 2020 07:45:59 +0300

renderdoc (1.7+dfsg-2) unstable; urgency=medium

  * d/patches: Add patches for cross-compiling
  * d/control: Adjust python build-deps for cross building
  * d/control: Add arm architectures

 -- Jordan Justen <jordan.l.justen@intel.com>  Thu, 02 Apr 2020 00:57:29 -0700

renderdoc (1.7+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/control: Add dependency to libstb
  * d/patches: Patch upstream to use debian's libstb (Closes: #949633)
  * d/copyright: Strip renderdoc/3rdparty/stb (Closes: #949633)
  * d/patches: Remove workaround for i386/gcc-9 compiler build issue
  * d/control: Update Standards-Version to 4.5.0

 -- Jordan Justen <jordan.l.justen@intel.com>  Wed, 11 Mar 2020 18:16:48 -0700

renderdoc (1.6+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Rebase patches for 1.6 release
  * d/watch: Remove duplicate +dfsg in uscan output
  * d/control: Add spirv-tools as a runtime dependency to renderdoc

 -- Jordan Justen <jordan.l.justen@intel.com>  Tue, 21 Jan 2020 13:39:57 -0800

renderdoc (1.5+dfsg-2) unstable; urgency=medium

  * d/patches: Adjust patches for FTBFS due to spir-v pkg changes
  * d/control: Add spirv-tools to build deps

 -- Jordan Justen <jordan.l.justen@intel.com>  Fri, 27 Dec 2019 21:36:09 -0800

renderdoc (1.5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Update swig version
  * d/patches: Rebase for 1.5
  * d/patches: Add patch to prevent g++ memory error on i386
  * d/control: Update Standards-Version to 4.4.1
  * debian: replace debian/compat with debhelper-compat

 -- Jordan Justen <jordan.l.justen@intel.com>  Sat, 19 Oct 2019 00:39:59 -0700

renderdoc (1.4+dfsg-1) unstable; urgency=medium

  * d/copyright: drop deleted resource.h from exclude list
  * d/patches: Rebase for 1.4
  * d/control: Update Standards-Version to 4.4.0
  * d/patches: Install python module under /usr/lib/python3/dist-packages
  * d/control: Depend on python3 for renderdoc python module
  * d/control: Depend on glslang-dev (>= 7.11.3214)
  * debian: Update debhelper to 12

 -- Jordan Justen <jordan.l.justen@intel.com>  Sun, 28 Jul 2019 18:04:57 -0700

renderdoc (1.2+dfsg-2) unstable; urgency=medium

  * d/patches: Import upstream patch for glslang. Closes: #923454

 -- Jordan Justen <jordan.l.justen@intel.com>  Mon, 11 Mar 2019 02:04:27 -0700

renderdoc (1.2+dfsg-1) unstable; urgency=medium

  * d/patches: Rebase for 1.2
  * d/watch: renderdoc-modified-6 (swig fork) was released
  * d/control: Standards-Version: 4.2.0 => 4.2.1

 -- Jordan Justen <jordan.l.justen@intel.com>  Wed, 05 Dec 2018 01:34:12 -0800

renderdoc (1.1+dfsg-1) unstable; urgency=medium

  * d/patches: Update patches for renderdoc 1.1
  * d/control: Update Standards-Version to 4.2.0
  * d/rules: Set cmake RENDERDOC_SWIG_PACKAGE
  * d/patches: Remove 0001-no-swig-download.patch
  * d/copyright: Don't strip all docs, just sphinx_rtd_theme_chm_friendly
  * d/copyright: Add sphinx_paramlinks copyright
  * d/control: Require glslang-dev >= 7.8.2853
  * d/patches: Patch qrenderdoc to not include resource.h
  * d/copyright: Fix lintian source-contains-autogenerated-visual-c++-file
  * d/source/options: Ignore warning of swig being deleted

 -- Jordan Justen <jordan.l.justen@intel.com>  Fri, 24 Aug 2018 16:06:45 -0700

renderdoc (1.0+dfsg-2) unstable; urgency=medium

  * d/gbp.conf: Changes for gbp dch usage
  * d/watch: Fix uscan --download-current-version
  * d/control: Limit architectures to i386 & amd64
  * d/patches: Add patch to fix swig build on i386
  * d/copyright: Fix lintian copyright-refers-to-deprecated-bsd-license-file
  * d/control: Update Standards-Version to 4.1.5
  * d/copyright: Add PCRE license (Closes: #905315).

 -- Jordan Justen <jordan.l.justen@intel.com>  Mon, 06 Aug 2018 19:22:58 -0700

renderdoc (1.0+dfsg-1) unstable; urgency=low

  * Initial debian packaging
  * Closes: #865094

 -- Jordan Justen <jordan.l.justen@intel.com>  Tue, 31 Jul 2018 11:47:58 -0700
